/*

  Copyright (C) 1999 President and Fellows of Harvard College

  All rights reserved.

  NOTICE: This software is provided "as is", without any warranty,
  including any implied warranty for merchantability or fitness for a
  particular purpose.  Under no circumstances shall Harvard University
  or its faculty, staff, students or agents be liable for any use of,
  misuse of, or inability to use this software, including incidental
  and consequential damages.

  License is hereby given to use, modify, and redistribute this
  software, in whole or in part, for any commercial or non-commercial
  purpose, provided that the user agrees to the terms of this
  copyright notice, including disclaimer of warranty, and provided
  that this copyright notice, including disclaimer of warranty, is
  preserved in the source code and documentation of anything derived
  from this software.  Any redistributor of this software or anything
  derived from this software assumes responsibility for ensuring that
  any parties to whom wuch a redistribution is made are fully aware of
  the terms of this license and disclaimer.

  Author: Brad Karp, Harvard University EECS, September, 1997

*/

/* the modem always expresses MAC addresses as ASCII, i.e., XXXX-YYYY, where
   each X and Y is an ASCII digit between '0' and '9'. strings are too
   cumbersome in C, so we represent MAC addresses internally as two shorts. */
struct hmastr {
  unsigned short hi;                      /* hi bytes, before dash */
  unsigned short lo;                      /* lo bytes, after dash */
};
typedef struct hmastr humr_mac_addr;

/* HUMR header on all modem-to-modem packets; analogous to ether header */
struct hheader {
  humr_mac_addr src;                      /* source of packet */
  unsigned short humr_type;               /* type of packet */
  unsigned short pad;                     /* as-yet unused; pad to % 4 == 0 */
};
typedef struct hheader humr_header;

/* packet types */
#define HUMR_TYPE_IAM 0                   /* "I am" announcement */
#define HUMR_TYPE_IP 1                    /* IP packet */
